IrrKlang.NET |

# StopEventCause Enumeration

An enumeration listing all reasons for a fired sound stop event

[Visual Basic]
Public Enum StopEventCause
[C#]
public enum StopEventCause

#### Members

Member Name | Description
--- | ---
SoundStoppedBySourceRemoval | The sound was stopped because its sound source was removed or the engine was shut down
SoundStoppedByUser | The sound was stopped because the user called ISound::stop().
SoundFinishedPlaying | The sound finished playing.

#### Requirements

Namespace: IrrKlang

Assembly: irrKlang.NET (in irrKlang.NET.dll)

#### See Also

IrrKlang Namespace